## GtkPixmap GtkPixmap — A widget displaying a graphical image or icon |

## Functions

GtkWidget * | gtk_pixmap_new ()
void | gtk_pixmap_set ()
void | gtk_pixmap_get ()
void | gtk_pixmap_set_build_insensitive ()

## Types and Values

struct | GtkPixmap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkPixmap

## Implemented Interfaces

GtkPixmap implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkPixmap widget displays a graphical image or icon. The icon is typically created using `gdk_pixmap_colormap_create_from_xpm()` or `gdk_pixmap_colormap_create_from_xpm_d()`.

The pixels in a GtkPixmap cannot be manipulated by the application after creation, since under the X Window system the pixel data is stored on the X server and so is not available to the client application. If you want to create graphical images which can be manipulated by the application, look at GtkImage and GdkRGB.

GtkPixmap has been deprecated since GTK+ 2.0 and should not be used in newly written code. Use GtkImage instead.

## Functions

### gtk_pixmap_new ()

    GtkWidget *
    gtk_pixmap_new (GdkPixmap *pixmap,
                    GdkBitmap *mask);

`gtk_pixmap_new` is deprecated and should not be used in newly-written code.

Creates a new GtkPixmap, using the given GDK pixmap and mask.

#### Parameters

pixmap | a GDKPixmap. |
mask | . | [allow-none]

#### Returns

a new GtkPixmap.

### gtk_pixmap_set ()

    void
    gtk_pixmap_set (GtkPixmap *pixmap,
                    GdkPixmap *val,
                    GdkBitmap *mask);

`gtk_pixmap_set` is deprecated and should not be used in newly-written code.

Sets the GdkPixmap and GdkBitmap mask.

#### Parameters

pixmap | a GtkPixmap. |
val | a GdkPixmap. |
mask | a GdkBitmap, which indicates which parts of the `pixmap` should be transparent. This can be NULL, in which case none of the `pixmap` is transparent. |

### gtk_pixmap_get ()

    void
    gtk_pixmap_get (GtkPixmap *pixmap,
                    GdkPixmap **val,
                    GdkBitmap **mask);

`gtk_pixmap_get` is deprecated and should not be used in newly-written code.

Gets the current GdkPixmap and GdkBitmap mask.

#### Parameters

pixmap | a GtkPixmap. |
val | returns the current GdkPixmap. |
mask | returns the current GdkBitmap mask. |

### gtk_pixmap_set_build_insensitive ()

    void
    gtk_pixmap_set_build_insensitive (GtkPixmap *pixmap,
                                      gboolean build);

`gtk_pixmap_set_build_insensitive` is deprecated and should not be used in newly-written code.

Sets wether an extra pixmap should be automatically created and used when the pixmap is insensitive. The default value is `TRUE`.

#### Parameters

pixmap | a GtkPixmap. |
build | set to `TRUE` if an extra pixmap should be automatically created to use when the pixmap is insensitive. |

## Types and Values

### struct GtkPixmap

    struct GtkPixmap;

`GtkPixmap` is deprecated and should not be used in newly-written code.

The GtkPixmap struct contains private data only, and should be accessed using the functions below.